import { Image, Input, Text, View } from "@tarojs/components"
import './index.scss'
import { Button } from "@nutui/nutui-react-taro"
import { useState } from "react"
import Taro from "@tarojs/taro"
import backNav from '@/images/backNav.png'



const Login = () => {


    // 返回页面
    const backFn = () => {
        Taro.getCurrentPages().length > 0 && Taro.navigateBack()
    }


    const navCreate = () => {
        Taro.navigateTo({
            url: '/pages/add-card/index'
        })
    }


    return <View className="login-frame bg-slate-50 h-screen text-base">
        <View className='addr-detail-title'>
            <Image src={backNav} className="square-35 absolute left-10 nav-icon" onClick={backFn} />
            我的银行卡

        </View>
        <View className="change-pwd-container bg-slate-50 relative flex flex-col items-center">
            <View className="card-item flex-col justify-center">
                <View className="flex-between">
                    <View className="bank-name">xxx银行</View>
                    <View className="bank-number">123456789777</View>
                </View>
                <View className="card-item-des">解除绑定</View>
            </View>
            <View className="change-phone-footer flex flex-col justify-center">
                <Button className="login-btn" onClick={navCreate}>新增银行</Button>
            </View>

        </View>

    </View>
}


export default Login