import React from 'react'
import { Image, Swiper, SwiperItem, Text, View } from '@tarojs/components'
import './index.scss'

import { useEffect } from 'react';
import { useState } from 'react';
import backNav from '@/images/backNav.png'
import next from '@/images/next.png'
import Taro from '@tarojs/taro';
import { useRouter } from '@tarojs/taro';
import { Button } from '@nutui/nutui-react-taro';



function Index() {

  const param = useRouter().params
  const [id] = useState(param.id)

  const [swiperProgress, setSwiperProgress] = useState(1)
  const list = [
    'https://storage.360buyimg.com/jdc-article/NutUItaro34.jpg',
    'https://storage.360buyimg.com/jdc-article/NutUItaro2.jpg',
    'https://storage.360buyimg.com/jdc-article/welcomenutui.jpg'
  ]



  useEffect(() => {


  }, [id])


  // 跳转
  const navDetailFn = (id) => {
    Taro.navigateTo({
      url: `/pages/pay-success/index?id=${id}`
    })
  }

  // 返回页面
  const backFn = () => {
    Taro.getCurrentPages().length > 0 && Taro.navigateBack()
  }

  // 选择地址
  const goAddr = (id) => {
    Taro.navigateTo({
      url: '/pages/address/index?id=' + id
    })
  }

  return (
    <View className='settle-container'>
      <View className='settle-detail-title'>
        <Image src={backNav} className="square-35 absolute left-10 nav-icon" onClick={backFn} />
        填写订单
      </View>

      <View className='settle-body' >
        <View className='settle-address'>
          <View className='address-title'>选择收货地址</View>
          <View className='address-area' onClick={() => { goAddr('') }}>
            <View className='address-item'>
              <View className='address-item-name'>李四 18080093730</View>
              <View className='address-info'>四川省 成都市 天府二街</View>
              {/* <View className='address-item-name text-gold'>选择地址</View> */}
            </View>
            <View className='address-next'>
              <Image src={next} />
            </View>
          </View>
        </View>

        <View className='settle-goods'>
          <View className='settle-goods-title'>商品信息</View>
          <View className='settle-goods-info'>
            <Image className='settle-goods-img' />
            <View className='settle-goods-content'>
              <View className='settle-goods-content-title line-clamp-1'>商品名称</View>
              <View className='settle-goods-content-price'>
                <View className='settle-goods-content-price-1'>¥199</View>
                <View className='settle-goods-content-price-num'>x1</View>
              </View>
            </View>
          </View>
        </View>

        <View className='settle-price-container'>
          <View>总价：</View>
          <View className='settle-price-p'>¥199</View>
        </View>
      </View>
      <Button className='buy-btn' onClick={navDetailFn}>去支付</Button>
    </View>
  )
}

export default Index
